
  var quiz = [ {
  "question": "Σε έναν υπολογιστή τα δεδομένα και τα προγράμματα αποθηκεύονται:",
  "choices": ["Στην Αριθμητική και Λογική μονάδα.", "Στη Μονάδα Εισόδου/Εξόδου.", "Στη Μνήμη.", "Στη Μονάδα Ελέγχου." ],
  "correct": "Στη Μνήμη."
},

{
  "question": "Σε έναν υπολογιστή οι υπολογισμοί και οι λογικές πράξεις εκτελούνται:",
  "choices": ["Στην Αριθμητική και Λογική Μονάδα.", "Στη Μονάδα Εισόδου/Εξόδου.", "Στη Μνήμη.", "Στη Μονάδα Ελέγχου." ],
  "correct": "Στην Αριθμητική και Λογική Μονάδα."
},

{
  "question": "Σε έναν υπολογιστή ποιο υποσύστημα δέχεται δεδομένα και προγράμματα και στέλνει τα επεξεργασμένα αποτελέσματα σε συσκευές εξόδου;",
  "choices": ["Η αριθμητική και λογική Μονάδα.", "Η μονάδα εισόδου / εξόδου.", "Η μνήμη.", "Η μονάδα ελέγχου." ],
  "correct": "Η μονάδα εισόδου / εξόδου."
},

{
  "question": "Ποια υπολογιστική μηχανή του 17ου αιώνα μπορούσε να εκτελέσει μόνο πρόσθεση και αφαίρεση;",
  "choices": ["Η Πασκαλίνα.", "Ο αργαλειός του Jacquard.", "Η Αναλυτική Μηχανή.", "Η μηχανή του Babbage" ],
  "correct": "Η Πασκαλίνα."
},

{
  "question": "Πώς ονομάζεται το σύνολο εντολών σε μια γλώσσα προγραμματισμού που υποδεικνύει στον υπολογιστή ποιες λειτουργίες να εκτελέσει για την εξυπηρέτηση κάποιας ανάγκης του χρήστη;",
  "choices": ["Λειτουργικό σύστημα.", "Αλγόριθμος.", "Επεξεργαστής δεδομένων.", "Πρόγραμμα." ],
  "correct": "Πρόγραμμα."
},

{
  "question": "Ποιο είναι το υποσύστημα του υπολογιστή που πραγματοποιεί πράξεις στα δεδομένα;",
  "choices": ["Η ΚΜΕ.", "Η μνήμη.", "Το υλικό Ε/Ε.", "Κανένα από τα παραπάνω." ],
  "correct": "Η ΚΜΕ."
},

{
  "question": "Ποια δεδομένα διαγράφονται όταν ο υπολογιστής κλείνει;",
  "choices": ["Της RAM.", "Της ROM.", "Της μονάδας ταινίας.", "Του CD-ROM." ],
  "correct": "Της RAM."
},



];

  var content = $("content"),
  questionContainer = $("question"),
  choicesContainer = $("choices"),
  scoreContainer = $("score"),
  submitBtn = $("submit");
  nextQuestion = $("button.next_question");

// μεταβλητές
var currentQuestion = 0,
	score = 0,
	askingQuestion = true;
	function $(id) { //αντί για την document.getElementById βάζω τη συνάρτηση για να καλώ αυτήν
	return document.getElementById(id);
}

function askQuestion() {
	var choices = quiz[currentQuestion].choices,
	choicesHtml = "";

  // Loop τις επιλογές και δημιουργία radio buttons για καθεμία
  for (var i = 0; i < choices.length; i++) {
    choicesHtml += "<input type='radio' name='quiz" + currentQuestion +
      "' id='choice" + (i + 1) +
      "' value='" + choices[i] + "'>" +
      " <label for='choice" + (i + 1) + "'>" + choices[i] + "</label><br>";
  }

  // Φορτώνω την ερώτηση
  questionContainer.textContent = (currentQuestion + 1) + ". " + quiz[currentQuestion].question;

	console.log(choicesHtml);

  // Φορτώνω τις επιλογές
  choicesContainer.innerHTML = choicesHtml;

  // Πρώτη ερώτηση
  if (currentQuestion === 0) {
   scoreContainer.textContent = "Αποτελέσματα: 0 / " +

      quiz.length ;
    submitBtn.textContent = "Υποβολή απάντησης";
  }
}

function checkAnswer() {
  // έλεγχος αν κάνουμε ερώτηση ή προχωράμε στην επόμενη 
  if (askingQuestion) {
    submitBtn.textContent = "Επόμενη ερώτηση";
    askingQuestion = false;

    // ποιο radio button επιλέχθηκε
    var userpick,
      correctIndex,
      radios = document.getElementsByName("quiz" + currentQuestion);
    for (var i = 0; i < radios.length; i++) {
      if (radios[i].checked) { // εάν επιλέχθηκε αυτό το radio button
        userpick = radios[i].value;
      }

      // Index σωστών απαντήσεων
      if (radios[i].value == quiz[currentQuestion].correct) {
        correctIndex = i;
      }
    }

    //Τι εμφανίζεται αν δόθηκε σωστή ή λάθος απάντηση (χρωματισμός απαντήσεων)
    var labelStyle = document.getElementsByTagName("label")[correctIndex].style;
    labelStyle.fontWeight = "bold";
    if (userpick == quiz[currentQuestion].correct) {
      score++;
      labelStyle.color = "#00b5a5";
    } else {
      labelStyle.color = "#ff5f5f";
    }

    scoreContainer.textContent = "Συνολικά αποτελέσματα: " + " Έχετε απαντήσει " + score + " σωστές απαντήσεις " + "από " + 
      quiz.length + " συνολικές ερωτήσεις.";
  } else { // move to next question
    // setting up so user can ask a question
    askingQuestion = true;
    // change button text back to "Submit Answer"
    submitBtn.textContent = "Υποβολή απάντησης";
    // if we're not on last question, increase question number
    if (currentQuestion < quiz.length - 1) {
      currentQuestion++;
      askQuestion();
    } else {
      showFinalResults();
    }
  }
}
 
function showFinalResults() {
  content.innerHTML = "<h2>Oλοκληρώσατε τις ερωτήσεις αυτοαξιολόγησης!</h2>" +
    "<h2>Παρακάτω βρίσκονται τα αποτελέσματά σας:</h2>" +
    "<h2>" + "Έχετε απαντήσει σωστά σε " + score + " από " + quiz.length + " ερωτήσεις.</h2> " +
    "<h2>" + "Ποσοστό επιτυχίας: " + Math.round(score / quiz.length * 100) + "%<h2>";
}

 window.addEventListener("load", askQuestion, false);
 submitBtn.addEventListener("click", checkAnswer, false);


(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})
(window,document,'script','http://www.google-analytics.com/analytics.js','ga');
ga('create', 'UA-1656750-34', 'jsbin.com');
ga('require', 'linkid', 'linkid.js');
ga('require', 'displayfeatures');
ga('send', 'pageview');
